Bug 125250 - pcmcia should be invoked before networking in /etc/rcX.d
pcmcia should be invoked before networking in /etc/rcX.d
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
: 44177 72969 131193 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-06-03 23:01 EDT by Bugzkilla
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-26 14:21:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bugzkilla 2004-06-03 23:01:40 EDT
Description of problem:
network connection fails on bootup on laptops with pcmcia network card

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot fedora core 2
2. network connection fails because networking gets started before 
Actual results:
network connection down

Expected results:
start pcmcia, then networking

Additional info:
Comment 1 Joel Uckelman 2004-06-04 23:35:43 EDT
Here's what I did to solve this problem:

Change the line 

# chkconfig: 2345 24 96

in /etc/init.d/pcmcia to

# chkconfig: 2345 09 96

And then run:

chkconfig --level 2345 pcmcia reset

network starts at 10, so this makes pcmcia start immediately prior to
it. Changing pcmcia from 24 to 9 seems to have caused no additional
problems for me.
Comment 2 David W. Legg 2004-06-14 10:10:35 EDT
This is been a bug on FC1, RH 9 and RH 8 too.
Comment 3 Bill Nottingham 2004-09-08 02:49:16 EDT
*** Bug 131193 has been marked as a duplicate of this bug. ***
Comment 4 Bill Nottingham 2004-09-08 03:00:56 EDT
*** Bug 44177 has been marked as a duplicate of this bug. ***
Comment 5 Bill Nottingham 2004-09-08 03:01:09 EDT
*** Bug 72969 has been marked as a duplicate of this bug. ***
Comment 6 David Hollis 2004-09-11 16:58:14 EDT
This really isn't a bug.  Set your ifcfg-eth0/1/whatever to ONBOOT=no
for your pcmcia device.  When pcmcia starts, it will discover the
device and start it at that point and everything continues normally.
Comment 7 Matthew Miller 2005-04-26 12:41:20 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Nikolay 2005-04-26 13:39:48 EDT
It is fine in Fedora Core 3 now.

Note You need to log in before you can comment on or make changes to this bug.